Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007390TestLinkBug Tracking System - JIRA Integrationpublic2015-12-17 15:302016-09-08 15:13
Reportervincent.morin 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinux RHEL 6.5OSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007390: Issue Tracker JIRA REST check connection fails when jirauser have readonly power only
DescriptionNow with TestLink 1.9.14 and Jira 6.2.6 (inhouse http).

The jira user I got for connect TestLink to jira does not have the enough rights for the way TestLink works.
I only intend TestLink connect jira to read issues infos. So the jira user I was granted only have read permission on the needed jira projects.

When TestLink try to connect jira it first test the connection using the jira REST API:
    GET /rest/api/2/user/search/?username=jirauser
This need enough power to search the users of jira. But my jira user does not have such power.
Note this is "user/search" not simple "user" method.

It seems to me that we do not need such power in that case.
I agree we need to test the connexion to jira and also to test if the user exists.
It seems to me it would be enough to use a jira request like
    GET /rest/api/2/myself
or
    GET /rest/api/2/user?username=jirauser
(that is not search/user and is simpler)
Both requests exist in jira Rest api v2 (latest) and both works my case.
Steps To Reproduceget github TestLinkOpenSourceTRMS/testlink-code/tar.gz/testlink_1_9
Latest commit 8b9d853
Set Project, Plan, Builds with some suites and testCases, assign to plan
Create issue tracker: jirarestInterface
<issuetracker>
    <uribase>http://jiraserver.com:8080/</uribase> [^]
    <username>jirauser</username>
    <password>passwd</password>
</issuetracker>
Add this to the project and activate.
Go to Test Execution, browse to select a testcase:
got this warning message on front of the testcase frame:
    Attention Please:
    Something is preventing connection to Bug Tracking System,
    and is going to create performance issues.
    Please contact your TestLink Administrator

Please note the jira user in my case has no developer right (jira side).
Well known to work fine when this jira user have enough power.
Additional Information* refer to forum:
http://forum.testlink.org/viewtopic.php?f=43&t=7852 [^]
* refer also to Mantis 7345, 7317
* Jira REST API at Atlassian doc:
https://docs.atlassian.com/jira/REST/latest/ [^]



TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.6
Browser
PHP Version5.5
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0007345closedfman Issue Tracker - JIRA REST check connection failure 
related to 0007317closedfman JIRA Integration by REST API 
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024365)
vincent.morin (reporter)
2015-12-17 15:38

to be continued

fman: I do not know how I could test and if I could try using your jira on demand with a dedicated user?
(0024366)
fman (administrator)
2015-12-17 20:10

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/a4ff383ecec9d9290fd900777e0352dfe3070f01 [^]
(0024367)
fman (administrator)
2015-12-17 20:11

would you mind to check on your installation and provide feedback?
(0024371)
vincent.morin (reporter)
2015-12-18 15:01

Thanks a lot for your quick update.
It works fine on my case.

Like this it works with a readonly account on jira.
Perhaps a notice could be added to Readme and/or in comment in the jira rest template in order to explain that TL could connect to jira even if the used jirauser does not have enough power to create issues.

Thanks a lot for your work on this great tool TestLink.
(0025297)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2015-12-17 15:30 vincent.morin New Issue
2015-12-17 15:38 vincent.morin Note Added: 0024365
2015-12-17 19:44 fman Relationship added related to 0007345
2015-12-17 19:44 fman Relationship added related to 0007317
2015-12-17 20:09 fman QA Team - Task Workflow Status => TBD
2015-12-17 20:09 fman Fixed in Version => 1.9.15 (2015 Q4)
2015-12-17 20:10 fman Note Added: 0024366
2015-12-17 20:11 fman Note Added: 0024367
2015-12-17 20:11 fman Assigned To => fman
2015-12-17 20:11 fman Status new => feedback
2015-12-17 20:11 fman Relationship added child of 0007262
2015-12-18 15:01 vincent.morin Note Added: 0024371
2015-12-18 15:01 vincent.morin Status feedback => assigned
2015-12-18 16:55 fman Status assigned => resolved
2015-12-18 16:55 fman Resolution open => fixed
2016-09-08 15:13 fman Note Added: 0025297
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker